CREATE TABLE loy_promomem (
    LOY_PROMOMEM_ID          NUMBER(18, 0),
    PROMOMEM_NUMBER          VARCHAR2(120)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    PROMO_ID                 NUMBER(18, 0)    NOT NULL,
    MEMBER_ID                NUMBER(18, 0)    NOT NULL,
    THEME_EXPIRY_TS          TIMESTAMP(6) ,
    ELIG_FLG                 VARCHAR2(4)      NOT NULL,
    OFFER_NUM                VARCHAR2(120),
    BLKAD_REQ_ID             NUMBER(18, 0),
    OPTIN_DT                 TIMESTAMP(6) ,
    INCENTIVE_CHOICE_ID      NUMBER(18, 0),
    LOY_PROMOMEM_ID          NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    PROMO_ID                 NUMBER(18, 0)    NOT NULL,
    MEMBER_ID                NUMBER(18, 0)    NOT NULL,
    THEME_EXPIRY_TS          TIMESTAMP(6) ,
    ELIG_FLG                 VARCHAR2(4)      NOT NULL,
    OFFER_NUM                VARCHAR2(120),
    BLKAD_REQ_ID             NUMBER(18, 0),
    OPTIN_DT                 TIMESTAMP(6) ,
    INCENTIVE_CHOICE_ID      NUMBER(18, 0),
    PROMOMEM_NUMBER          VARCHAR2(120)    NOT NULL,
    CONSTRAINT pk_loy_promomem PRIMARY KEY (LOY_PROMOMEM_ID, LOY_PROMOMEM_ID)
);
